#!/usr/local/bin/perl -w
#


use strict;

################################################################################
package Staflag;
################################################################################
#Loads in an STAFLAG file and reports site quality data in easy-to-call form
################################################################################

sub load 
 {
  my ($self, $filepath)=@_;
  if ($filepath) {
   my @worker;
   open (STAFLAG_FILE,$filepath);
   foreach (<STAFLAG_FILE>)
    {
     @worker=split(' ',$_);
     chomp (@worker);
     ${$self}{$worker[0]}= $worker[1] eq "G" ? 1 : 0;
    }
  }
 }

sub stations { my $self=shift; keys(%$self); }

sub clear
 {
  my ($self)=shift;
  %${$self}={};
 }
sub new 
 {
  my (%_condition);
  my $self = bless (\%_condition, shift) ;
  load($self, @_);
  return $self;
 }
sub condition { ${$_[0]}{$_[1]};  }



1;
