#!/usr/bin/perl 
# %W% %G%

$stnfile=$ARGV[0];
$dll=$ARGV[1];
$newstnfile=$stnfile.'.new';
%fiducial_stn=('PUR3','CRO1');

open(IN,"< $stnfile");
$i=0;
while (<IN>) {
    ($name[$i],$lat[$i],$lon[$i],$h[$i],$wlon[$i])=split(' ',$_);
    $i++;
}
close(IN);

open(OUT,"> stn.tmp");
for ($j=0; $j<=$#name; $j++) {
    for ($i=0; $i<=$#name; $i++) {
	$dlat=abs($lat[$i]-$lat[$j]);
	$dlon=abs($lon[$i]-$lon[$j]);
	if ($i != $j && $dlat > 0 && $dlon > 0 && 
	    $dlat < $dll && $dlon < $dll) {
	    printf OUT ("%4s %10.5f %10.5f\n",$name[$i],$dlat,$dlon);
	}
    }
}
close(OUT);

open(IN,"< stn.tmp");
$i=0;
while (<IN>) {
    ($name[$i],$lat1[$i],$lon1[$i])=split(' ',$_);
    $i++;
}
close(IN);

$maxname=0;
$namemax='None!';
for ($i=0; $i<=$#name; $i++) {	
    $lines=`grep $name[$i] stn.tmp | wc -l`;
    chop($lines);
    if ($lines > $maxname) { 
	$maxname=$lines;
	$namemax=$name[$i];
    }
}

open(OUT,">> stnlist.exc");
print OUT "$namemax $maxname\n";
print "$namemax $maxname\n";
if ($maxname gt 0) {
    if ($namemax eq 'PUR3') { 
	$namemax=$fiducial_stn{$namemax};
	print OUT "$namemax $maxname\n";
	print "$namemax $maxname\n";
    }
    `grep -v $namemax $stnfile > $newstnfile`;
}
close(OUT);
