#!/usr/bin/perl 
# XQP, September 1999.
# @(#)gaim_grid.pl	1.3 11/30/99
#
if (($ARGV[0] eq "-H") || ($ARGV[0] eq "-Help") || 
    ($ARGV[0] eq "-h") || ($#ARGV < 1)) {

print<<"EOF";

    Usage:    gaim_grid.pl -f GAIM_outputfile

    Example:  gaim_dump.pl -f output

EOF
  exit(1);
} 

$nreqargs = 0;

foreach $i (0 .. $#ARGV) {
    $arg = $ARGV[$i];
    if ($arg eq "-f") { 
	$i++;
	$gaim_outfile = $ARGV[$i];
	$nreqargs++;
    }
}

if ($nreqargs < 1) {
    print <<"EOF";
    print "Error: gaim_grid.pl: Not all required args were specified.\n";
EOF
    exit(1);
}

if (-e $gaim_outfile) {
    `grep -i ' agrid ' $gaim_outfile > agrid`; 
} else {
    print "$gaim_outfile is not available. Please check it.\n";
    exit (1);
}

`rm -f agrid_tmp`;
@tmp = split(' ', `wc agrid`);
$nlines = $tmp[0];
open(IN1, "< agrid") || die "Cannot open agrid for reading: $!\n";
open(OUT, "> agrid_tmp") || die "Cannot open agrid_tmp for writing: $!\n";
$i = 0;
while ($i < $nlines) {
    $agrid_line = <IN1>;
    @tmp1 = split(' ', $agrid_line);
    printf OUT "%4d %15s %15s %15s %15s %15s %15s %15s %15s %15s %15s %15s %15s %15s %15s\n", $tmp1[2], $tmp1[3], $tmp1[4], $tmp1[5], $tmp1[6], $tmp1[7], $tmp1[8], $tmp1[9], $tmp1[10], $tmp1[11], $tmp1[12], $tmp1[13], $tmp1[14];
    $i ++;
}
close(IN1);
close(OUT);
`mv -f agrid_tmp agrid`;
