#!/usr/bin/perl 
# %W% %G%
#
if (($ARGV[0] eq "-H") || ($ARGV[0] eq "-Help") || 
    ($ARGV[0] eq "-h") || ($#ARGV < 2)) {

print<<"EOF";

     Usage:  gaim_sort_rtlinks.pl infile1 infile2 outfile

   Example:  gaim_sort_rtlinks.pl rtlinks.out.leo rtlinks.out.grnd rtlinks.out

EOF
  exit(1);
} 
$infile1 = $ARGV[0];
$infile2 = $ARGV[1];
$outfile = $ARGV[2];
@tmp     = `wc $infile1`;
$nrows1  = $tmp[0];
@tmp     = `wc $infile2`;
$nrows2  = $tmp[0];
#$nrows   = $nrows1 + $nrows2;
open(IN1, "< $infile1") || die "Can't open $infile1 for reading: $!\n";
open(IN2, "< $infile2") || die "Can't open $infile2 for reading: $!\n";
open(OUT, "> $outfile") || die "Can't open $outfile for writing: $!\n";
$row_count1 = 0;
$row_count2 = 0;
$row1      = <IN1>;
$row_count1 = $row_count1 + 1;
$row2      = <IN2>;
$row_count2 = $row_count2 + 1;
printf OUT "$row1";
$row1      = <IN1>;
$row_count1 = $row_count1 + 1;
@tmp       = split(' ', $row1);
$time1     = $tmp[0];
$row2      = <IN2>;
$row_count2 = $row_count2 + 1;
@tmp       = split(' ', $row2);
$time2     = $tmp[0];
while ($row_count1 < $nrows1 && $row_count2 < $nrows2) {
    if ($time2 ge $time1) {
	printf OUT "$row1";
	$row1      = <IN1>;
	$row_count1 = $row_count1 + 1;
	@tmp       = split(' ', $row1);
	$time1     = $tmp[0];
    } else {
	printf OUT "$row2";
	$row2      = <IN2>;
	$row_count2 = $row_count2 + 1;
	@tmp       = split(' ', $row2);
	$time2     = $tmp[0];
    }
}
while ($row_count1 < $nrows1) {
    printf OUT "$row1";
    $row1  = <IN1>;
    $row_count1 = $row_count1 + 1;
}
printf OUT "$row1";
while ($row_count2 < $nrows2) {
    printf OUT "$row2";
    $row2  = <IN2>;
    $row_count2 = $row_count2 + 1;
}
printf OUT "$row2";
print "\n";
print " row_count1: $row_count1\n";
print " row_count2: $row_count2\n";
print "\n";
close(IN1);
close(IN2);
close(OUT);
