
# Common rules for GAIM makefiles

GAIMROOT = /gaim/Newer

default: dev

INC = $(GAIMROOT)/include/
F_COMPILER = f90
FLAGS_OPT = -i4 -C -c -align dcommons
FLAGS_DBG = -i4 -C -c -align dcommons -g


off := MODE = off
off := F_FLAGS = $(FLAGS_OPT)

off/dbg := MODE = off/dbg
off/dbg := F_FLAGS = $(FLAGS_DBG)

dev := MODE = dev
dev := F_FLAGS = $(FLAGS_OPT)

dev/dbg := MODE = dev/dbg
dev/dbg := F_FLAGS = $(FLAGS_DBG)


OBJDIR = $(MODE)/obj


dev/obj: FORCE
	@test -d dev || mkdir dev
	@test -d dev/obj || mkdir dev/obj

# F_OBJ = $(F_SOURCE:%.f=$(OBJDIR)/%.o)

$(OBJDIR)/%.o: %.f
	$(F_COMPILER) $(F_FLAGS) $< 
	mv $(@F) $@

clean:
	rm -rf dev/obj dev/dbg/obj

dev: dev/obj $(F_OBJ)
	ar ru dev/$(TARG) $(F_OBJ)
	ranlib dev/$(TARG)


FORCE:

