#!/usr/bin/python
#
# Lukas Mandrake
#
# Sources a tcsh-style login file specified by the user which sticks for the
# rest of this login session... can make things cronnable! Especially useful
# in cronnable wrappers

import os

def source(file):
    arr= os.popen("tcsh -f -c 'source "+file+" ; setenv'").readlines()
    for x in arr:
        if x.find('=') < 0: continue #ignore lines not var declarations
        f=x.find('=') #first = to appear
        x=x.strip()
        (var,val)=(x[:f],x[f+1:])
        os.environ[var]=val

#source(".login")


