#!/usr/local/bin/perl -w 
#
# GeophyIndices_test.pl -- test the GeophyIndices.pm class
#

use strict;
use lib "$ENV{'HOME'}/perllib";

use GeophyIndices;

my $date = shift @ARGV || "2002/12/05";
print "\nGeophyIndices:  Testing for date $date . . .\n";

#print "\ntest1: Get Ap/Kp for recent day.\n";
#my ($Ap, @Kp);
#$Ap = GeophyIndices::get_prompt_Ap_Kp( $date, \@Kp);
#print "Ap (daily) : $Ap\n";
#print join " ", "Kp (3-hour): ", @Kp, "\n";

#print "\ntest2: Get F10.7 for recent day.\n";
#my ($F10p7, $SSN);
#($F10p7, $SSN) = GeophyIndices::get_prompt_F10p7_SSN($date);
#print "F10.7: $F10p7\n";
#print "SSN  : $SSN\n";

#print "\ntest3: Save F10.7 & SSN values.\n";
#GeophyIndices::save_F10_SSN_value($date, $F10p7, $SSN);

#print "\ntest4: Update F10.7 & SSN file from prompt.\n";
#GeophyIndices::update_F10_SSN_values_from_prompt();

#my $n = 30;
#print "\ntest5: Calc F10.7 $n-day mean ending at $date\n";
#my $F10p7_mean = GeophyIndices::calc_F10p7_mean($date, 30);
#print "F10.7 mean ($n-day): $F10p7_mean ending at $date\n";

#print "\ntest6: Update Dst file from NGDC yearly archive file.\n";
#my $dst_yearly = "/iono/archive/geophy_data/Dst/dst2002.v9";
#GeophyIndices::update_Dst_from_archive($dst_yearly);

print "\ntest7: Plot Dst values from Dst accum file.\n";
my $dv = new DatedValues($ENV{'DST_FILE'}, "minute");
my $lines = $dv->find_range("2002/05/22", "2002/05/27");
$lines = DatedValues::append_alt_time($lines, "day");
my $tmp_file = "tmp$$";
open(TMP, "> $tmp_file");
print TMP $lines, "\n";
close TMP;
`cat $tmp_file | cl 3 2 | gnup`;
#unlink $tmp_file;


print "\nGeophyIndices:  Testing done.\n";
