#!/usr/bin/perl 
# this program removes carriage returns from the ends of lines.
if ( $#ARGV < 0 ) {
  print <<'EOF';
     Usage:     dos2unix.pl file_extention 
     Example:   dos2unix.pl *.f
EOF
  exit;
}
$ext = $ARGV[0];
@files = split(' ', `ls *$ext`);
for ($i = 0; $i <= $#files; $i ++) {
    open(FILE, "< $files[$i]");
    open(OUTFILE, "> tmpfile");
    $outfile = $files[$i];
    while (chop ($line=<FILE>)) {
        $line =~ s/\r$//;
        print OUTFILE "$line\n";
    }
    close(OUTFILE);
    close(FILE);
    `mv -f tmpfile $outfile`;
}
