#!/usr/bin/perl 
# XQP, September 1999.
# %W% %G%
#
if (($ARGV[0] eq "-H") || ($ARGV[0] eq "-Help") || 
    ($ARGV[0] eq "-h") || ($#ARGV < 1)) {
print<<"EOF";

    Usage:    gaim_bkup.pl -d target_directory
   Eample:    gaim_bkup.pl -d /gaim/bkup

EOF
  exit(1);
} 

$nargs = 0;

foreach $i (0 .. $#ARGV) {
    $arg = $ARGV[$i];
    if ($arg eq "-d") { 
	$i++;
	$target_dir = $ARGV[$i];
	$nargs++;
    }
}

if ($nargs < 1) {
    print <<"EOF";
    print "Error: gaim_bkup.pl: Not all required args were specified.\n";
EOF
    exit(1);
}

@date = split(' ', `date`);
$mon = $date[1];
$day = $date[2];
$yr  = $date[5];
if (length($day) eq 1) {
    $day = '0'.$day;
}

$tar_file = 'gaim_'.$yr.$mon.$day.'.tar';
$current_dir = `pwd`;
chop($current_dir);
$gaim_dir = '/gaim';
chdir($gaim_dir);
@gaim_subdirs = (bin, doc, include, input, libs, hilat, MINPACK, OPT, source, usc_supim, visual);
system("tar cvf - @gaim_subdirs > $target_dir/$tar_file");
`gzip -f $target_dir/$tar_file`;
chdir($current_dir);
