#!/usr/bin/perl 
# XQP, August 1999.
# @(#)gaim_dump.pl	1.6 11/30/99
#
if (($ARGV[0] eq "-H") || ($ARGV[0] eq "-Help") || 
    ($ARGV[0] eq "-h") || ($#ARGV < 3)) {

print<<"EOF";

    Usage:    gaim_dump.pl -f GAIM_outputfile -p parameter

    Example:  gaim_dump.pl -f output -p oi_density

EOF
  exit(1);
} 

$nreqargs = 0;

foreach $i (0 .. $#ARGV) {
    $arg = $ARGV[$i];
    if ($arg eq "-f") { 
	$i++;
	$gaim_outfile = $ARGV[$i];
	$nreqargs++;
    }
    if ($arg eq "-p") { 
	$i++;
	$parameter = $ARGV[$i];
	$nreqargs++;
    }
}

if ($nreqargs < 2) {
    print <<"EOF";
    print "Error: gaim_dump.pl: Not all required args were specified.\n";
EOF
    exit(1);
}

if (-e $gaim_outfile) {
    `grep -i ' agrid ' $gaim_outfile > agrid`; 
    `grep -i " $parameter " $gaim_outfile > $parameter`;
} else {
    print "$gaim_outfile is not available. Please check it.\n";
    exit (1);
}

`rm -f agrid_$parameter`;
@tmp = split(' ', `wc agrid`);
$nlines = $tmp[0];
open(IN1, "< agrid") || die "Cannot open agrid for reading: $!\n";
open(IN2, "< $parameter") || die "Cannot open $parameter for reading: $!\n";
open(OUT, "> agrid_$parameter") || die "Cannot open agrid_$parameter for writing: $!\n";
$i = 0;
while ($i < $nlines) {
    $agrid_line = <IN1>;
    @tmp1 = split(' ', $agrid_line);
    $parameter_line = <IN2>;
    @tmp2 = split(' ', $parameter_line);
    printf OUT "%4d %15s %15s %15s %15s %15s %15s %15s %15s %15s %15s %15s %15s %15s %15s\n", $tmp1[2], $tmp1[3], $tmp1[4], $tmp1[5], $tmp1[6], $tmp1[7], $tmp1[8], $tmp1[9], $tmp1[10], $tmp1[11], $tmp1[12], $tmp1[13], $tmp1[14], $tmp2[6];
    $i ++;
}
close(IN1);
close(IN2);
close(OUT);
