#!/usr/bin/perl 
# %W% %G%
if ($#ARGV < 1) {
print<<"EOF";

    Usage:    get_drift_param3d.pl filename num_of_parameters
   Eample:    get_drift_param3d.pl osse_asm_nlsq.log 9

EOF
  exit(1);
} 
$file=$ARGV[0];
$nparam=$ARGV[1];
open(IN, "< $file");
open(OUT1, "> drift.coef");
open(OUT2, "> costf.grad");
open(OUT3, "> costf");
$i=0;
while (<IN>) {
    if ($_=~/^ Opt/) {
	@line1=split(' ',$_);
	$interval=$line1[3];
	($str,$costf[$i])=split(' ',$_=<IN>);
	$_=<IN>;
	for ($j=0; $j<$nparam; $j++) {
	    ($param,$grad,$pweight)=split(' ',$_=<IN>);
	    printf OUT1 ("%8.2f ",$param);
	    printf OUT2 ("%8.2f ",$grad);
	}
    }
    printf OUT1 "\n";
    printf OUT2 "\n";
    $i++;
}
for ($j=0; $j<$i; $j++) {
    printf OUT3 ("%12.2f ",$costf[$j]);
}
print OUT3 "\n";
close(IN);
close(OUT1);
close(OUT2);
close(OUT3);    
