#!/usr/bin/perl -w

use strict;
use lib "$ENV{'GAIM'}/perllib";
use Cwd;
use Util;

my $dir = shift @ARGV;
my $files = `ls $dir`;
my @files = split ' ', $files;
my $root = "/iono2/gaim/ops/daily/prompt";
my $cwd = cwd();
chdir $dir;

my ($pre, $date);
foreach my $file ( @files ) {
    ($pre, $date) = ($file =~ m/^([a-z]{3})_[0-9]{2}([0-9]{6})$/);
    next unless $pre eq "gtc";
    eex "/iono2/gaim/scripts/jason_fix_gtc.pl < $file > $root/$date/gim/gtc$date";

    chdir "$root/$date";
    chdir "cclimate/image";
    print STDERR cwd(), "\n";
    eex
    "/iono2/gaim/v2kops/build/linux86/opt/prg/tec/ncov/gaim_tec_vs_tpx.e >& gvt.log";

    chdir "$root/$date";
    chdir "brassim/image";
    print STDERR cwd(), "\n";
    eex
    "/iono2/gaim/v2kops/build/linux86/opt/prg/tec/ncov/gaim_tec_vs_tpx.e >& gvt.log";

    chdir $dir;
}

chdir $cwd;
